Блог им. taurus
   585

Не запускается 1С. Не находит - libicui18n.so.67

После обновления перестала запускаться 1С. Просит библиотеку libicui18n.so.67.
По пути /usr/lib/ теперь лежит libicui18n.so.68.
Понимаю что библиотека обновилась. Но что с этим делать? Как «объяснить» 1С что нужно использовать новую библиотеку?
  • 0
  • 0

4 комментария

avatar
Сделать символическую ссылку с именем libicui18n.so.67 к библиотеке libicui18n.so
Последний раз редактировалось
+3
avatar
Сделать символическую ссылку с именем libicui18n.so.67 к библиотеке libicui18n.so
такой командой
sudo ln -s /usr/lib/libicui18n.so /usr/lib/libicui18n.so.67
Последний раз редактировалось
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
+2
avatar
Спасибо, помогло. Следующая библиотека с такой же ошибкой была libicuuc.so.67. Решилась аналогично: sudo ln -s /usr/lib/libicuuc.so /usr/lib/libicuuc.so.67.
Но 1С всё равно не запускается. Теперь в консоли такая ругань:
symbol lookup error: /usr/lib/libjavascriptcoregtk-3.0.so.0: undefined symbol: u_memcasecmp_67
+1
avatar
В общем переустановка помогла. Пересобрал webkitgtk и webkitgtk2. Переустановил 1С и всё заработало.
PS: жаль что «малой кровью» не обошлось.
+1
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.